org.eclipse.handly.snapshot

## Enum TextFileSnapshot.Layer

- java.lang.Object
- - java.lang.Enum<TextFileSnapshot.Layer>
  - - org.eclipse.handly.snapshot.TextFileSnapshot.Layer

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextFileSnapshot.Layer>
  Enclosing class:
    TextFileSnapshot

      public static enum TextFileSnapshot.Layer
      extends java.lang.Enum<TextFileSnapshot.Layer>

  Specifies whether the snapshot is to be taken directly from the file system, bypassing the workspace.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILESYSTEM` Indicates that the snapshot is to be taken directly from the file system, bypassing the workspace.
    `WORKSPACE` Indicates that the snapshot is to be taken from the workspace, which may be out of sync with the file system.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextFileSnapshot.Layer` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextFileSnapshot.Layer[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WORKSPACE

          public static final TextFileSnapshot.Layer WORKSPACE

      Indicates that the snapshot is to be taken from the workspace, which may be out of sync with the file system.

    - #### FILESYSTEM

          public static final TextFileSnapshot.Layer FILESYSTEM

      Indicates that the snapshot is to be taken directly from the file system, bypassing the workspace.

  - ### Method Detail

    - #### values

          public static TextFileSnapshot.Layer[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextFileSnapshot.Layer c : TextFileSnapshot.Layer.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextFileSnapshot.Layer valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0